
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <title></title>
        <link rel="stylesheet" href="style.css">
        <!--[if lt IE 9]>
          <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
        <![endif]-->

    </head>
	
	  <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/angularjs/1.0.3/angular.min.js"></script>
      <script type="text/javascript" src="app.js"></script>
	  <script src="/socket.io/socket.io.js"></script>
	
    <body ng-app="todo">

      <section id="todoapp" ng-controller="TodoCtrl">
        <header id="header">
          <h1>TodoList</h1>
          <form id="todo-form" ng-submit="addTodo()">
            <input type="text" id="new-todo" placeholder="Ajouter une Nouvelle tâche" autofocus autocomplete="off" ng-model="newtodo">
          </form>
        </header>

        <section id="main">
          <input type="checkbox" id="toggle-all" ng-model="allchecked" ng-click="checkAllTodo(allchecked)">
          <ul id="todo-list">
            <li ng-repeat="todo in todos | filter:statusFilter" ng-class="{completed : todo.completed, editing: todo.editing}" ng-dblclick="todo.editing = true">
              <div class="view">
                <input type="checkbox" class="toggle" ng-model="todo.completed"  ng-click="todoCompleted($index)">
                <label>{{todo.name}}</label>
                <button class="destroy" ng-click="removeTodo($index)"></button>
              </div>
              <form action="#">
                <input class="edit" ng-model="todo.name" ng-blur="editTodo(todo)" >
              </form>
            </li>
          </ul>
        </section>
        <footer id="footer">
          <span id="todo-count"><strong>{{remaining}}</strong> Tâches restantes</span>
          <ul id="filters">
            <li><a href="#/" ng-class="{selected: location.path() == '/'}">Toutes</a></li>
            <li><a href="#/active" ng-class="{selected: location.path() == '/active'}">Active</a></li>
            <li><a href="#/done" ng-class="{selected: location.path() == '/done'}">Finit</a></li>
          </ul>
        </footer>

		
		
      </section>

      
    </body>
</html>
